Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.jmx.builder
[Java] Class JmxEventEmitter

    java.lang.Object
      javax.management.NotificationBroadcasterSupport
          groovy.jmx.builder.JmxEventEmitter

All Implemented Interfaces:
  JmxEventEmitterMBean

    public class JmxEventEmitter
    extends javax.management.NotificationBroadcasterSupport

The JmxEventEmitter is a JMX Broadcaster class that is used to send generic events on the MBeanServer's event bus. It is used by the Emitter node () to send event to registered listeners.

         def jmx = JmxBuilder()
         jmx.emitter(name:"Object name"|ObjectName(), event:"event type")
         ...
         jmx.emitter.send(object)

Authors:
  Vladimir Vivien

See Also:
  JmxEmitterFactory

Method Summary
`java.lang.String` | `getEvent()` Event type getter
`java.lang.String` | `getMessage()` Event message getter
`long` | `send(java.lang.Object data)` Called to broadcast message on MBeanServer event bus.
`void` | `setEvent(java.lang.String event)` Event type setter
`void` | `setMessage(java.lang.String message)` Event message setter.

Methods inherited from class javax.management.NotificationBroadcasterSupport
javax.management.NotificationBroadcasterSupport#sendNotification(javax.management.Notification), javax.management.NotificationBroadcasterSupport#getNotificationInfo(), javax.management.NotificationBroadcasterSupport#addNotificationListener(javax.management.NotificationListener, javax.management.NotificationFilter, java.lang.Object), javax.management.NotificationBroadcasterSupport#removeNotificationListener(javax.management.NotificationListener), javax.management.NotificationBroadcasterSupport#removeNotificationListener(javax.management.NotificationListener, javax.management.NotificationFilter, java.lang.Object), javax.management.NotificationBroadcasterSupport#wait(long), javax.management.NotificationBroadcasterSupport#wait(long, int), javax.management.NotificationBroadcasterSupport#wait(), javax.management.NotificationBroadcasterSupport#equals(java.lang.Object), javax.management.NotificationBroadcasterSupport#toString(), javax.management.NotificationBroadcasterSupport#hashCode(), javax.management.NotificationBroadcasterSupport#getClass(), javax.management.NotificationBroadcasterSupport#notify(), javax.management.NotificationBroadcasterSupport#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getEvent

    public java.lang.String getEvent()

  Event type getter
  Returns:
    - returns event type string thrown by this emitter

### getMessage

    public java.lang.String getMessage()

  Event message getter
  Returns:
    - message that is associated with event.

### send

    public long send(java.lang.Object data)

  Called to broadcast message on MBeanServer event bus. Internally, it calls NotificationBroadCasterSupport.sendNotification() method to dispatch the event.
  Parameters:
    `data` - - a data object sent as part of the event parameter.
  Returns:
    a sequence number associated with the emitted event.

### setEvent

    public void setEvent(java.lang.String event)

  Event type setter
  Parameters:
    `event` - - event type set for this emitter.

### setMessage

    public void setMessage(java.lang.String message)

  Event message setter.
  Parameters:
    `message` - - message that is associated with event emitted.

Groovy Documentation